<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <strong><font color="#A020F0">Expanded</font></strong> <a href="REAL.html"><font color="#008000">REAL</font></a> -> <a href="REAL_32.html"><font color="#008000">REAL_32</font></a>, <a href="REAL_64.html"><font color="#008000">REAL_64</font></a>, <a href="REAL_80.html"><font color="#008000">REAL_80</font></a>,
  <a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>,  <a href="REAL_24_8.html"><font color="#008000">REAL_24_8</font></a>,  <a href="REAL_26_6.html"><font color="#008000">REAL_26_6</font></a>,
  <a href="UREAL_16_16.html"><font color="#008000">UREAL_16_16</font></a>, <a href="UREAL_24_8.html"><font color="#008000">UREAL_24_8</font></a>, <a href="UREAL_26_6.html"><font color="#008000">UREAL_26_6</font></a>;
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Generic real number."</font>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">type</font></strong>    := <em><strong><font color="#A4DEA4">`float`</font></strong></em>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">default</font></strong> := <font color="#A020F0">0.0</font>;

<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Insert</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_numeric</font></strong>:<a href="NUMERIC.html"><font color="#008000">NUMERIC</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">bound_test</font></strong> low:<a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a> <strong><font color="#0000FF">to</font></strong> up:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">pi</font></strong>   :<font color="#008000">SELF</font> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">atan</font></strong> :<font color="#008000">SELF</font> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">sqrt</font></strong> :<font color="#008000">SELF</font> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">log</font></strong>  :<font color="#008000">SELF</font> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">sin</font></strong>  :<font color="#008000">SELF</font> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">cos</font></strong>  :<font color="#008000">SELF</font> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">pow</font></strong> exp:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">**</font>' <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">120</font> exp:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">^</font>' <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">120</font> exp:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Convertion format with test.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">floor</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Greatest integral value no greater than Current.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">ceiling</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Smallest integral value no smaller than Current.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">rounded</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Rounded integral value.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">truncated_to_integer</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Integer part (largest absolute value no greater than Current).</font></strong></em>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Comparaison.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">~=</font>' other:<font color="#008000">SELF</font> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_not_a_number</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_infinity</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Print.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <strong><font color="#0000FF">format</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">decimal</font></strong> d:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <strong><font color="#0000FF">format</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">with</font></strong> c:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> <strong><font color="#0000FF">decimal</font></strong> d:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <strong><font color="#0000FF">decimal</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">scientific_append_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <strong><font color="#0000FF">format_c</font></strong> fmt:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print_decimal</font></strong> s:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print_int</font></strong> i:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">decimal</font></strong> d:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print_format</font></strong> s:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">decimal</font></strong> d:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print_format</font></strong> s:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">with</font></strong> c:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> <strong><font color="#0000FF">decimal</font></strong> d:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print_format_c</font></strong> fmt:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> <-
   
</body>
</html>
 